# The elementtree.SimpleXMLTreeBuilder Module

Tools to build element trees from XML files, using xmllib. This module can be used instead of the standard tree builder, for Python versions where "expat" is not available (such as 1.5.2).

Note that due to bugs in xmllib, the namespace support is not reliable (you can run the module as a script to find out exactly how unreliable it is on your Python version).

## Module Contents

TreeBuilder(html=0) (class) [#]

  ElementTree builder for XML source data.

  For more information about this class, see The TreeBuilder Class.

## The TreeBuilder Class

TreeBuilder(html=0) (class) [#]

  ElementTree builder for XML source data.

close() ⇒ Element [#]

  Finishes feeding data to the parser.

  Returns:
    An element structure.
feed(data) [#]

  Feeds data to the parser.

  data
    Encoded data.